%define build_mozilla 1

%define major		0
%define gi_major	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Movie player for GNOME
Name:		totem
Version:	3.4.1
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#(nl) KDE Solid integration : from mdv svn  soft/mandriva-kde-translation/trunk/solid/
Source2:	totem-opendvd.desktop
License:	GPLv2 with exception
Group:		Video
URL:		http://projects.gnome.org/totem/
BuildRequires:	intltool
BuildRequires:	gstreamer0.10-plugins-good
BuildRequires:	gstreamer0.10-soup
BuildRequires:	gnome-common
BuildRequires:	shared-mime-info
BuildRequires:	desktop-file-utils
BuildRequires:	pylint
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:	pkgconfig(clutter-1.0) >= 1.6.8
BuildRequires:	pkgconfig(clutter-gst-1.0) >= 1.3.9
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(mx-1.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(totem-plparser) >= 2.32.4
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.2
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(libgdata) >= 0.4.0
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libepc-ui-1.0) > 0.4.0
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.91.3
BuildRequires:	pkgconfig(grilo-0.1) >= 0.1.16
BuildRequires:	vala-devel >= 0.14.1

%ifarch %{ix86} x86_64
BuildRequires:	pkgconfig(nvtvsimple)
%endif

# (cjw) for bvw-test:
BuildRequires:	pkgconfig(libproxy-1.0)

Requires:	grilo-plugins
Requires:	iso-codes
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-soup
Suggests:	gstreamer0.10-resindvd
Suggests:	gstreamer0.10-a52dec
Suggests:	gst-install-plugins-helper

#gw opensubtitles plugin:
Requires:	pyxdg

#gw does not work yet:
#Requires: python-coherence

#gw needed by the iplayer plugin
Requires:	python-httplib2
Requires:	python-feedparser
Requires:	python-beautifulsoup

Obsoletes:	totem-tracker < %{version}

%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%if %{build_mozilla}
%package mozilla
Summary:	Totem video plugin for Mozilla Firefox
Group:		Networking/WWW
BuildRequires:	pkgconfig(dbus-1) >= 0.35
Requires:	%{name} = %{version}-%{release}

%description mozilla
This embeds the Totem video player into web browsers based on Mozilla Firefox.
%endif

%package nautilus
Group:		Video
Summary:	Video and Audio Properties tab for Nautilus
#gw just for the translations:
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus

%description nautilus
A Nautilus extension that shows the properties of audio and video
files in the properties dialogue.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared libraries for %{name}

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Devel files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Devel files for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep 
%setup -q 

%build
%configure2_5x \
	--disable-run-in-source-tree \
	--enable-easy-codec-installation \
%if %build_mozilla
	--enable-browser-plugins \
	--disable-vegas-plugin \
%else
	--disable-browser-plugins \
%endif
        --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

rm -rf \
 %{buildroot}%{_libdir}/libbaconvideowidget.so \
 %{buildroot}%{_libdir}/totem/plugins/bemused/ \
 %{buildroot}%{_libdir}/totem/plugins/mythtv/

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

#menu
MIME_TYPES=`tr '\n' , < data/mime-type-list.txt | sed -e 's/,$//'`
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#(nl) KDE Solid integration
mkdir -p %{buildroot}/%{_datadir}/apps/solid/actions
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/apps/solid/actions/

# remove unpackaged files
rm -rf %{buildroot}%{_libdir}/{totem/plugins/*/,mozilla/plugins,nautilus/extensions-2.0}/*.{la,a} %buildroot/var/lib/scrollkeeper

#gw there is no devel package yet
rm -f %{buildroot}%{_libdir}/libbaconvideowidget.{a,la,so}

#nuke the .la file(s)
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%doc README AUTHORS TODO NEWS
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/totem
%{_datadir}/applications/totem.desktop
%{_datadir}/apps/solid/actions/totem-opendvd.desktop
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins/
%{_libdir}/totem/plugins/brasero-disc-recorder
%{_libdir}/totem/plugins/chapters
%{_libdir}/totem/plugins/dbus
%{_libdir}/totem/plugins/grilo
%{_libdir}/totem/plugins/gromit
%{_libdir}/totem/plugins/iplayer
%{_libdir}/totem/plugins/lirc
%{_libdir}/totem/plugins/media-player-keys
%{_libdir}/totem/plugins/ontop
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/publish
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/rotation
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/save-file
%{_libdir}/totem/totem-bugreport.py
%{_libdir}/totem/plugins/im-status
%{_datadir}/thumbnailers/totem.thumbnailer
%{_mandir}/man1/*
%{_bindir}/totem
%{_bindir}/totem-audio-preview
%{_bindir}/totem-video-thumbnailer
%{_datadir}/GConf/gsettings/
%{_datadir}/glib-2.0/schemas/*.xml

%files nautilus
%{_libdir}/nautilus/extensions-3.0/*

%if %build_mozilla
%files mozilla
%{_libdir}/mozilla/plugins/libtotem*.so
%{_libexecdir}/totem-plugin-viewer
%endif

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Totem-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Totem-%{gi_major}.gir


%changelog

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231078
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227108
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223809
- new version 3.3.92

* Fri Mar 16 2012 fwang <fwang> 3.3.90-4.mga2
+ Revision: 223592
- suggests codec installation feature

* Tue Mar 06 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 220048
- rebuild for new cogl

* Thu Feb 23 2012 tv <tv> 3.3.90-2.mga2
+ Revision: 212670
- rebuild for new cogl

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211487
- new version 3.3.90

* Sun Jan 29 2012 fwang <fwang> 3.3.4-4.mga2
+ Revision: 202816
- fix br on vala

* Tue Jan 17 2012 fwang <fwang> 3.3.4-3.mga2
+ Revision: 197266
- rebuild for new cogl

* Sat Dec 31 2011 blino <blino> 3.3.4-2.mga2
+ Revision: 189282
- disable vegas plugin, it takes over all flash animations (#3851)

* Wed Dec 21 2011 wally <wally> 3.3.4-1.mga2
+ Revision: 185499
- new version 3.3.4
- BR pylint
- drop obsolete youtube plugin

* Wed Nov 23 2011 fwang <fwang> 3.2.1-2.mga2
+ Revision: 171343
- rebuild for new clutter

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155728
- new version 3.2.1

* Fri Sep 30 2011 wally <wally> 3.2.0-2.mga2
+ Revision: 150533
- re-enable publish plugin

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148623
- new version 3.2.0

* Wed Sep 21 2011 fwang <fwang> 3.1.92-2.mga2
+ Revision: 146207
- bump rel

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146204
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 145770
- add BR shared-mime-info
- temporarily disable publish plugin
- new version 3.1.91
- bump libepc req
- rebuild for new libepc
- clean BRs and use pkgconfig style when possible
- enable some disabled plugin
- clean some old obsoletes/provides
- clean .spec
- rebuild for new tracker0.11 (add P2)

  + fwang <fwang>
    - rebuild
    - tweak req on tracker plugin
    - update file list
    - drop tracker plugin
    - New version 3.1.4
      drop mereged patch, tracker not supported any more
    - rebuild for new cogl

  + blino <blino>
    - suggest gstreamer0.10-a52dec (for DVD audio tracks)
    - suggest gstreamer0.10-resindvd (DVD menu plugin)

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Sun Jul 10 2011 fwang <fwang> 3.1.0-1.mga2
+ Revision: 121642
- update file list
- br gtk-doc
- add upstream patch to build with gdata0.9
- fix str fmt
- br pygobject
- br mx
- br clutter
- new version 3.1.0
- do not install unneeded icons

* Tue Jun 28 2011 fwang <fwang> 3.0.1-2.mga2
+ Revision: 115413
- clean up old req from gtk2

* Sat Jun 25 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 113321
- Fix file list
- Update buildrequires
- New version 3.0.1

* Mon Jun 13 2011 cjw <cjw> 2.32.0-5.mga2
+ Revision: 105817
- add build dependency on libproxy-devel
- rebuild with new libgdata and nautilus
- fix url

* Wed Feb 16 2011 ahmad <ahmad> 2.32.0-4.mga1
+ Revision: 52067
- add missing BR
- drop old/unneeded scriptlets
- imported package totem


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 2.32.0-3mdv2011.0
+ Revision: 593603
- enalbe easy codec installation

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 590076
- rebuild for python 2.7

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581376
- update to new version 2.32.0

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 2.31.92.2-1mdv2011.0
+ Revision: 579616
- update build deps
- update to new version 2.31.92.2

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92.1-1mdv2011.0
+ Revision: 578908
- update to new version 2.31.92.1

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578818
- update to new version 2.31.92

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 578034
- new version
- add chapters plugin

* Thu Aug 12 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 569216
- new version
- update build deps

* Tue May 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.2-3mdv2010.1
+ Revision: 545160
- Update solid translations

* Fri May 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.2-2mdv2010.1
+ Revision: 544739
- Add some more translations for totem-opendvd.desktop

* Wed May 12 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 544604
- Release 2.30.2
- Remove patch10 (merged upstream)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 544376
- Patch10 (GIT): various bug fixes from GIT

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add new translation for the solid action

* Fri May 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 543100
- Fix installation dir

* Fri May 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 543096
- Add a solid action, that allow totem to be shown on kde devicenotifier

  + Götz Waschk <waschk@mandriva.org>
    - fix gst-plugins dep (bug #58950)

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539831
- new version
- depend on new unstable gstreamer
- drop youtube patch
- add tracker search plugin

* Mon Apr 05 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 531556
- fix youtube support (upstream bug #614679)

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528910
- update to new version 2.30.0

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 520302
- update to new version 2.29.92

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510604
- update to new version 2.29.91

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-2mdv2010.1
+ Revision: 506059
- rebuild for new libgdata

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 497436
- new version
- drop patch 2
- bump deps
- fix nautilus dep

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.5-1mdv2010.1
+ Revision: 481345
- update to new version 2.28.5

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.4-1mdv2010.1
+ Revision: 467786
- update to new version 2.28.4

* Fri Nov 13 2009 Götz Waschk <waschk@mandriva.org> 2.28.3-1mdv2010.1
+ Revision: 465861
- new version
- drop patch 1

* Thu Nov 12 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-2mdv2010.1
+ Revision: 465237
- don't try to always use pulseaudio (bug #55545)

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 460909
- new version
- drop patch 1

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-4mdv2010.0
+ Revision: 458770
- Force rebuild

* Thu Oct 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-3mdv2010.0
+ Revision: 458682
- enable midi support in the browser plugin (bug #47922)
- add dep on soup element

* Wed Oct 14 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-2mdv2010.0
+ Revision: 457269
- set default visual plugin to goom2k1 (bug 53140)
- enable linking with no-undefined

* Tue Sep 29 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.0
+ Revision: 450972
- update to new version 2.28.1

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 2.28.0-3mdv2010.0
+ Revision: 450398
- enable nvtv on x86 only (from Arnaud Patard)

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.0
+ Revision: 447378
- rebuild for new libgdata

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446551
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437421
- update to new version 2.27.92
- reenable vala support

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 409962
- new version
- drop patches
- update gstreamer dep

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-8mdv2010.0
+ Revision: 398301
- patch for new libgdata
- rebuild for new libgdata

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-7mdv2010.0
+ Revision: 393137
- disable vala plugin
- make mozilla plugin depend on main package for the ui file (bug #52047)

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-6mdv2010.0
+ Revision: 379572
- rebuild for new libgdata

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-5mdv2010.0
+ Revision: 376864
- add more missing deps for the iplayer plugin

* Sun May 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-4mdv2010.0
+ Revision: 376691
- fix deps (bug #51019)

* Tue May 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-3mdv2010.0
+ Revision: 374880
- make mozilla plugin installable without totem

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-2mdv2010.0
+ Revision: 374589
- enable youtube plugin
- explicitely list all plugins

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374338
- update build deps
- new version
- restructure package and obsolete old rpms

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 371275
- update to new version 2.26.2

* Fri Apr 03 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 363683
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355737
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347811
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341796
- new version
- drop patch
- update file list

* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-2mdv2009.1
+ Revision: 340674
- fix a crash in the xine backend

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337022
- new version
- drop patch

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-4mdv2009.1
+ Revision: 328933
- fix XV setting (bug #46932)

* Thu Jan 08 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-3mdv2009.1
+ Revision: 327128
- add some more python plugin deps
- add missing dep on gnome-python-gconf

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 319936
- rebuild for new python

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315915
- new version
- update file list

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.3-2mdv2009.1
+ Revision: 301014
- rebuilt against new libxcb

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 297740
- update to new version 2.24.3

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-2mdv2009.1
+ Revision: 296075
- rebuild for new libepc

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 291930
- new version

* Wed Oct 01 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.0
+ Revision: 290398
- new version

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286364
- new version

  + Michael Scherer <misc@mandriva.org>
    - fix summary and description

* Fri Aug 29 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 277477
- new version
- drop patches
- update file list
- bump totem-plparser dep

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-4mdv2009.0
+ Revision: 258366
- remove firefox dep

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.23.4-3mdv2009.0
+ Revision: 236377
- rebuilt for mozilla-firefox-2.0.0.16

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 232925
- use a different alternative name on 64 bit for biarch compatibility

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231676
- new version
- rearrange packaging of the xine and gstreamer backends
- add backend switching script from Fedora
- patches to make it build
- update license
- add dep on ffmpeg plugin to make totem-gstreamer usable by default

  + Tiago Salem <salem@mandriva.com.br>
    - Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 197422
- new version

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-2mdv2009.0
+ Revision: 195864
- rebuild for new firefox

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192494
- new version

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-4mdv2008.1
+ Revision: 191658
- Remove suggests on gstreamer subpackages, it is now handled by codeina

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 190443
- rebuild for firefox 2.0.0.13

  + Anssi Hannula <anssi@mandriva.org>
    - update alternatives handling in %%postun to match policy

* Wed Mar 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 187219
- Fix alternative uninstall for mozilla subpackages
- Add missing menu macros

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183452
- new version

* Mon Mar 03 2008 Götz Waschk <waschk@mandriva.org> 2.21.96-1mdv2008.1
+ Revision: 178114
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.95-1mdv2008.1
+ Revision: 175503
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.94-1mdv2008.1
+ Revision: 174578
- new version
- fix build of the xine backend
- add missing file

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.93-1mdv2008.1
+ Revision: 165843
- remove update menu call
- new version
- drop patch

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 2.21.92-2mdv2008.1
+ Revision: 164648
- rebuild for new FF

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 162388
- new version
- drop patch
- patch to fix the build of the xine backend

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-4mdv2008.1
+ Revision: 160043
- fix vala plugin build
- depend on python-gdata (bug #37325)

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-3mdv2008.1
+ Revision: 152169
- rebuild for new libepc

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 151934
- fix installation with new nautilus

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove unneeded update/clean menus call

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 146367
- new version
- bump deps
- remove vala workaround

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-2mdv2008.1
+ Revision: 117688
- rebuild for new firefox

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 116020
- new version
- depend on libepc
- fix vala build

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 115276
- new version
- drop plparser lib

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108088
- new version

* Wed Nov 07 2007 Funda Wang <fwang@mandriva.org> 2.21.1-3mdv2008.1
+ Revision: 106701
- rebuild for new lzma

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-2mdv2008.1
+ Revision: 106068
- rebuild for new firefox

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 104344
- new version
- new major

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 102581
- new version
- new major
- update file list and alternatives for new binary and mozilla plugin

  + Funda Wang <fwang@mandriva.org>
    - New version 2.20.1

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-6mdv2008.1
+ Revision: 100433
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fwang@mandriva.org> 2.20.0-5mdv2008.1
+ Revision: 99853
- Rebuild against FF 2.0.0.7

* Wed Oct 03 2007 Anne Nicolas <ennael@mandriva.org> 2.20.0-4mdv2008.0
+ Revision: 94929
- Fix menu

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2008.0
+ Revision: 93086
- Patch0 (SVN): various bug fixes from SVN

* Thu Sep 20 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-2mdv2008.0
+ Revision: 91376
- suggest some gstreamer codec packages in totem-gstreamer

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88889
- new version

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 65202
- new version
- fix build

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 57590
- new devel name
- rebuild

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56525
- new version
- drop patches
- update deps

* Fri Jul 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.4-7mdv2008.0
+ Revision: 56402
- Patch1 (CVS): add support for more Ogg mime types
- Patch2 (CVS): prevent visual effects to start in browser plugin

* Fri Jun 22 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-6mdv2008.0
+ Revision: 42882
- fix deps of totem-common (bug #31519)

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-5mdv2008.0
+ Revision: 39894
- rebuild for new ff

* Sun Jun 10 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.4-4mdv2008.0
+ Revision: 37741
- Run automake after patching Makefile.am
- Add ubuntu patch for GNOME bug #444564 (MDV bug #31292)

  + Götz Waschk <waschk@mandriva.org>
    - drop patch since we have the latest xine-lib

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.4-2mdv2008.0
+ Revision: 36210
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - new major
    - fix buildrequires
    - add new plugins

* Wed May 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-1mdv2008.0
+ Revision: 30301
- Release 2.18.2
- Remove patch0 (merged upstream)
- Patch0: lower xine-lib dependency, our xine-lib package is already patched with correct fix

* Wed May 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.1-2mdv2008.0
+ Revision: 25660
- Patch0 (SVN): fix xine based browser plugin (Mdk bug #29513)


* Thu Apr 05 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2007.1
+ Revision: 150718
- new version
- fix buildrequires

* Mon Mar 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-6mdv2007.1
+ Revision: 148755
- Fix BuildRequires to get multimedia key support built

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-5mdv2007.1
+ Revision: 148596
- Force rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-4mdv2007.1
+ Revision: 148367
- rebuild for new firefox

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 147865
- Fix previous commit to only do needed job

  + Adam Williamson <awilliamson@mandriva.com>
    - update icons (stop using old sourced ones, install all fd.o icons)

* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 146541
- Fix upgrade from 2007.0, forcing update-alternative --auto for totem-mozilla

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 140337
- new version
- drop patches

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-5mdv2007.1
+ Revision: 133882
-Add ChangeLog to devel package
-Patch1 : fix ogg audio file playback in xine version (Mdv bug #29205)

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17.92-4mdv2007.1
+ Revision: 130793
- do not package huge (0.6Mb!) ChangeLog

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-3mdv2007.1
+ Revision: 126291
- rebuild for new firefox

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 125913
- fix libtotem-plparser exports for gnome-python-desktop

* Tue Feb 20 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 123133
- new version

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 117810
- new version
- drop merged patches

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-4mdv2007.1
+ Revision: 117370
- fix the patch by using the upstream svn version

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-3mdv2007.1
+ Revision: 117293
- fix wrong colours in the video thumbnailer with the xine backend
- fix exports of the plparser library (upstream bug #404304)

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 115077
- new version
- fix build with new gnome-doc-utils
- reenable parallel make

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 109601
- new version
- fix buildrequires
- fix build
- drop patch

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-6mdv2007.1
+ Revision: 106107
- rebuild

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-5mdv2007.1
+ Revision: 92165
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-4mdv2007.1
+ Revision: 87597
- fix buildrequires
- fix buildrequires
- fix buildrequires
- new version
- fix build (upstream bug #378096)
- add totem-video-indexer
- drop patch 0

* Wed Nov 15 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 84421
- bot rebuild
- new version
- new version
- fix group (bug #27100)

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.0
+ Revision: 80517
- unpacked patch
- unpack patch
- Import totem

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.0
- New version 2.16.2

* Tue Oct 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2007.0
- Patch0: don't try to stat glade file, workaround Mdv bug #26244

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Rebuild for latest firefox

* Sat Sep 09 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- add new plugin
- New version 2.16.1

* Mon Sep 04 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch
- New release 2.16.0

* Wed Aug 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.92-2mdv2007.0
- Patch0: allow keyboard dvd navigation

* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 1.5.92-1mdv2007.0
- drop patch
- New release 1.5.92

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.91-3mdv2007.0
- Patch0 (CVS): fix i18n missing (GNOME bug #351357)

* Tue Aug 15 2006 Gtz Waschk <waschk@mandriva.org> 1.5.91-2mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Gtz Waschk <waschk@mandriva.org> 1.5.91-1mdv2007.0
- fix new mozilla plugin
- New release 1.5.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.90-2mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Gtz Waschk <waschk@mandriva.org> 1.5.90-1mdv2007.0
- new macros
- xdg menu
- New release 1.5.90

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 1.5.4-1mdv2007.0
- bump xine deps
- New release 1.5.4

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 1.5.2-1mdv2007.0
- add icons
- New release 1.5.2

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-1mdv2007.0
- Release 1.5.1
- Remove patch0, merged upstream

* Fri May 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-2mdk
- drop XFree86 requires

* Mon May 15 2006 Gtz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- drop patch
- New release 1.4.1

* Fri May 05 2006 Gtz Waschk <waschk@mandriva.org> 1.4.0-4mdk
- add missing translations

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-3mdk
- Rebuild with latest firefox

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-2mdk
- Update patch0 with CVS fix

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdk
- Release 1.4.0

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdk
- rebuild for new dbus

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- drop patch 1
- New release 1.2.1

* Thu Dec 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-7mdk
- Fix mimetypes, uses upstream list

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-6mdk
- rebuild for new openssl on x86_64

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-5mdk
- rebuild for new openssl

* Tue Oct 25 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-4mdk
- upstream fix for bug 19187

* Fri Oct 14 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- fix buildrequires
- build fix without mozilla plugin

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-1mdk
- Release 1.2.0 (merged from Gotz package)
- Patch0 (gotz): fix nautilus extension soname

* Sat Aug 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.4-2mdk
- Add conflict to allow to install from mdk 10.2

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Sun May 01 2005 Gtz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- drop merged patch
- New release 1.0.2

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-4mdk 
- Change nautilus extension filename to prevent warning

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-3mdk
- fix typo on the update-alternatives call

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdk 
- Create subpackage totem-gstreamer for gstreamer backend

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdk 
- Release 1.0.1
- Remove patches 0, 1, 2 (merged upstream)

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk 
- Patch2: fix i18n init for windows name

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk 
- Patch0 (CVS): fix crash with some ASF file
- Patch1 (CVS): fix DND from konqueror

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk 
- Release 1.0
- Regenerate patch0

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.101-3mdk
- fix buildrequires

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dydndns.org> 0.101-2mdk
- add BuildRequires: libnautilus-devel

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.101-1mdk
- New release 0.101
- Patch0 : use old (ie 2.8.x) nautilus-burn API

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.100-2mdk 
- Rebuild with latest howl

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.100-1mdk
- New release 0.100

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.22-2mdk
- add BuildRequires: libgnomeui2-devel libgnome-desktop-2-devel

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.22-1mdk
- New release 0.99.22

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.21-2mdk 
- Remove patch1 (merged upstream)

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.21-1mdk
- drop patch 2
- New release 0.99.21

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.20-3mdk
- Fix mimetype

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-2mdk
- disable colorkey (fixes bug #11273)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-1mdk
- New release 0.99.20
- add omf files to lang
- don't depend on gnome-desktop
- needs libnautilus-burn
- drop patches 0,2,3,4

* Tue Oct 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-5mdk
- Update patch2 to fix parsing of Real/asf files

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-4mdk
- Patch2 (CVS): various bug fixes
- Patch3: fix error message when playing crypted DVD
- Patch4: fix remote action when using dvd: or cd:

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.15.1-3mdk
- Descease InitialPreference to launch kaffeine under KDE environement

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-2mdk
- Patch0: fix KDE detection (Mdk bug #10991)
- Patch1: add thumbnail for Matroska

* Sun Jul 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.15.1-1mdk
- New release 0.99.15.1

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.14-1mdk
- drop yelp stuff
- New release 0.99.14

* Mon Jul 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.13-1mdk
- new version

* Mon Jun 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.12-1mdk
- add source URL
- New release 0.99.12

* Sat Jun 05 2004 <lmontel@komp1.mandrakesoft.com> 0.99.11-2mdk
- REbuild

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.11-1mdk
- requires new xine
- new version

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- drop the patch

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add man page
- requires new xine
- build with nvtv
- don't require curl anymore
- drop patch 1
- new version

